### Enumeration

# Qmi NasRadioTechnologyPreference

since: 1.0

#### Declaration

    flags Qmi.NasRadioTechnologyPreference

#### Description [src]

Flags to specify the radio technology preference.

Available since: 1.0

#### Members

`QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_AUTO`

  Automatic selection.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_3GPP2`

  3GPP2 technology.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_3GPP`

  3GPP technology.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_AMPS_OR_GSM`

  AMPS if 3GPP2, GSM if 3GPP.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_CDMA_OR_WCDMA`

  CDMA if 3GPP2, WCDMA if 3GPP.

  - Value: `8`
  - Available since: 1.0
`QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_HDR`

  CDMA EV-DO.

  - Value: `16`
  - Available since: 1.0
`QMI_NAS_RADIO_TECHNOLOGY_PREFERENCE_LTE`

  LTE.

  - Value: `32`
  - Available since: 1.0

#### Type functions

###### qmi_nas_radio_technology_preference_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiNasRadioTechnologyPreference` in `mask`.

since: 1.0